Loading...
Searching...
No Matches
apr_general.h File Reference

APR Miscellaneous library routines. More...

`#include "apr.h"`
`#include "apr_pools.h"`
`#include "apr_errno.h"`
Include dependency graph for apr_general.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | APR_ASCII_BLANK '\040'
#define | APR_ASCII_CR '\015'
#define | APR_ASCII_LF '\012'
#define | APR_ASCII_TAB '\011'
#define | APR_OFFSET(p_type, field) ((long) (((char *) (&(((p_type)NULL)->field))) - ((char *) NULL)))
#define | APR_ALIGN(size, boundary) (((size) + ((boundary) - 1)) & ~((boundary) - 1))
#define | APR_ALIGN_DEFAULT(size) APR_ALIGN(size, 8)
#define | memmove(a, b, c) bcopy(b,a,c)

## Typedefs

typedef int | apr_signum_t

## Functions

void * | memchr (const void *s, int c, size_t n)
apr_status_t | apr_initialize (void)
apr_status_t | apr_app_initialize (int *argc, char const *const **argv, char const *const **env)
void | apr_terminate (void)
void | apr_terminate2 (void)
apr_status_t | apr_generate_random_bytes (unsigned char *buf, apr_size_t length)

## Detailed Description

APR Miscellaneous library routines.

This is collection of oddballs that didn't fit anywhere else, and might move to more appropriate headers with the release of APR 1.0.